Subject: Re: [PATCH -mm 2/9] netconsole: Code simplification

From: Matt Mackall <[email-masked]>
Date: Wed, 4 Jul 2007 08:46:18 -0500

On Wed, Jul 04, 2007 at 04:37:49PM +0530, Satyam Sharma wrote:
> From: Satyam Sharma <[email-masked]>
> 
> [2/9] netconsole: Code simplification
> 
> (1) Extract netpoll_parse_options() out of option_setup(), and into
> init_netconsole() itself. So "configured" variable is redundant and
> can be removed.
> 
> (2) With this change, option_setup() is not required for modular netconsole.

How is this a simplification? You've taken code with no #ifdefs and
added one! Please have both modular and nonmodular continue to use the
same paths.

> 
> (3) The (!np.dev) check in write_msg() is bogus (always false), because:
> np.dev is set by netpoll_setup(), which is called by the target init
> code in init_netconsole() _before_ register_console() => write_msg() cannot
> be triggered unless netpoll_setup() returns with success. And that will not
> happen if netpoll_setup() failed to set np.dev. Also np.dev cannot go from
> under us while netconsole is loaded. This is because netpoll_setup() grabs
> a reference for us on that dev. So let's remove the pointless check.

This ought to be a separate patch.

-- 
Mathematics is the supreme nostalgia of our time.